<?php
/**
 * TPC! Memory Usage Security API
 * 
 * @package TPC
 * @subpackage Security
 */

function tpcmem_check_security() {
	$security = array();
	
	/**
	 * register_globals default setting changed from ON to OFF in
	 * PHP 4.2.0 and above.
	 */
	$security['register_globals'] = ini_get('register_globals');
	$security['safe_mode'] = ini_get('safe_mode');
	$security['display_errors'] = ini_get('display_errors');
	
	if (function_exists('apache_get_modules')) {
		$security['mod_security'] = in_array('mod_security', apache_get_modules());
	} else {
		$security['mod_security'] = 'N/A';
	}
	
	$security['magic_quotes'] = get_magic_quotes_gpc();
	$security['server_signature'] = isset($_SERVER['SERVER_SIGNATURE']) && trim($_SERVER['SERVER_SIGNATURE']) != '' ? true : false;
	
	return $security;
}