<?php
/*
Plugin Name: TPC! Memory Usage
Plugin URI: http://webjawns.com/tpc-memory-usage-for-wordpress/
Description: Used to keep track of WordPress memory usage, and system information.
Version: 0.6
Author: Chris Strosser
Author URI: http://webjawns.com/
*/

define('TPCMEM_VERSION', '1.0');
define('TPCMEM_FOLDER', plugin_basename(dirname(__FILE__)));

/** Load TPC! Memory Usage */
require_once('tpcmem-admin.php');
require_once('tpcmem-core.php');
require_once('tpcmem-classes.php');
require_once('tpcmem-filters.php');
require_once('tpcmem-formatting.php');
require_once('tpcmem-security.php');
require_once('tpcmem-template.php');

// Register scripts and styles
wp_register_script('tpcmem', plugins_url('tpc-memory-usage/tpcmem.js'), array('jquery'), TPCMEM_VERSION, true);
wp_register_style('tpcmem', plugins_url('tpc-memory-usage/tpcmem.css'), array(), TPCMEM_VERSION);

// Default keys and options
add_option('tpc_memory_usage_location', 'footer');
add_option('tpc_memory_usage_graph', 'peak');
add_option('tpc_memory_usage_admin_footer', true);
add_option('tpc_memory_usage_log', 'high');
add_option('tpc_memory_usage_log_highest', get_default_tpcmem_log_to_edit());
add_option('tpc_memory_usage_allowed_users', 'admin');
add_option('tpc_memory_usage_email_high_usage', 32);
